const requireComponent = require.context('./', true, /\.vue$/)

const install = (Vue) => {
    if(install.installed) return
    install.installed

    requireComponent.keys().forEach(fileName => {
        // 第i个组件
        const config = requireComponent(fileName)
        // 组件名
        const componentName = config.default.name

        Vue.component(componentName, config.default || config)
    });

    Vue.directive('focus', {
        inserted: function(el){
            el.focus()
        }
    })
}

// 环境检测
if(typeof window !== 'undefined' && window.Vue){
    install(window.Vue)
}

export default {
    install
}